<mat-card class="example-card">

    <form [formGroup]="checkForm" class="card-body position-relative" (ngSubmit)="submitLogin(checkForm.value)">
        <mat-card-title>Login </mat-card-title>

        <mat-form-field class='create-input' appearance="">
            <mat-label class="username"> Korisničko ime </mat-label>
            <input matInput type="text" name="username" formControlName="username">
        </mat-form-field>
        <mat-form-field class='create-input'>
            <mat-label class="password"> Šifra </mat-label>
            <input matInput [type]="hide ? 'password' : 'text'" name="password" formControlName="password">
            <mat-icon matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'"
                [attr.aria-pressed]="hide">
            {{hide ? 'visibility_off' : 'visibility'}}</mat-icon>

        </mat-form-field>
        
        <mat-card-actions>
            <button class="enter" mat-raised-button [disabled]="!checkForm.valid" > Ulaz
            </button>
            <button mat-stroked-button [routerLink]="['/register']"> Registracija </button>
        </mat-card-actions>
    </form>

</mat-card>